Package org.eclipse.net4j.util.collection

# Class Entity.SingleNamespaceStore

java.lang.Object
org.eclipse.net4j.util.collection.Entity.SingleNamespace
org.eclipse.net4j.util.collection.Entity.SingleNamespaceStore

All Implemented Interfaces:
  `Entity.Store`

Enclosing class:
  Entity

public static final class Entity.SingleNamespaceStore extends Entity.SingleNamespace

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.collection.Entity.Store

`Entity.Store.Provider`

## Constructor Summary

Constructors
Constructor
Description
`SingleNamespaceStore(String namespace)`

## Method Summary

Modifier and Type
Method
Description
`Entity.Builder`
`addEntity()`
`Entity.Builder`
`addEntity(String name)`
`Entity`
`addEntity(Entity entity)`
`Stream<Entity>`
`entities()`
`Entity`
`entity(String namespace, String name)`
`Stream<String>`
`names(String namespace)`
`Entity`
`removeEntity(String name)`

### Methods inherited from class org.eclipse.net4j.util.collection.Entity.SingleNamespace

`entities, entityBuilder, entityBuilder, names, namespace, namespace, namespaces, store`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.collection.Entity.Store

`entity`

## Constructor Details

### SingleNamespaceStore

public SingleNamespaceStore(String namespace)

## Method Details

### addEntity

public Entity.Builder addEntity()

### addEntity

public Entity.Builder addEntity(String name)

### addEntity

public Entity addEntity(Entity entity)

### removeEntity

public Entity removeEntity(String name)

### names

public Stream<String> names(String namespace)

### entities

public Stream<Entity> entities()

### entity

public Entity entity(String namespace, String name)